onEvent('recipes', (event) => {
    event.remove({id: 'pixelmon:poke_display'})
    event.shaped(Item.of('pixelmon:poke_ball', '{PokeBallID:"master_ball"}'), ['ABA', 'CDC', 'EFE'], {
        A: 'pixelmon:cooked_pink_apricorn',
        B: 'pixelmon:cooked_blue_apricorn',
        C: 'extendedcrafting:black_iron_slate',
        D: 'atmadditions:atm_star',
        E: 'extendedcrafting:ender_star',
        F: 'pixelmon:iron_base'
    }).id('kubejs:pixelmon/master_ball')

    event.shaped(Item.of('pixelmon:poke_ball', '{PokeBallID:"park_ball"}'), ['AAA', 'CDC', 'EFE'], {
        A: 'pixelmon:cooked_yellow_apricorn',
        B: 'extendedcrafting:black_iron_slate',
        C: 'atmadditions:atm_star',
        D: 'extendedcrafting:ender_star',
        E: 'pixelmon:iron_base'
    }).id('kubejs:pixelmon/park_ball')

    event.shaped('pokehaancraftadd:healer', ['ABA', 'CDE', 'AFA'], {
        A: 'extendedcrafting:the_ultimate_ingot',
        B: 'pixelmon:dawn_stone',
        C: 'pixelmon:max_revive',
        D: '#pixelmon:healers',
        E: 'pixelmon:hyper_potion',
        F: 'pixelmon:dusk_stone'
    }).id('kubejs:pokehaancraftadd/healer')

    event.recipes.mekanismEnriching('pixelmon:silicon', 'refinedstorage:silicon')

    event.shaped('pixelmon:xs_exp_candy', ['AAA', 'ABA', 'AAA'], {
        A: 'minecraft:experience_bottle',
        B: 'supplementaries:candy'
    }).id('kubejs:pixelmon/xs_exp_candy')

    event.shaped('pixelmon:s_exp_candy', ['AAA', 'AAA', 'AAA'], {
        A: 'pixelmon:xs_exp_candy'
    }).id('kubejs:pixelmon/s_exp_candy')

    event.shaped('pixelmon:m_exp_candy', ['AAA', 'AAA', 'AAA'], {
        A: 'pixelmon:s_exp_candy'
    }).id('kubejs:pixelmon/m_exp_candy')
    
    event.shaped('pixelmon:l_exp_candy', ['AAA', 'AAA', 'AAA'], {
        A: 'pixelmon:m_exp_candy'
    }).id('kubejs:pixelmon/l_exp_candy')

    event.shaped('pixelmon:xl_exp_candy', ['AAA', 'AAA', 'AAA'], {
        A: 'pixelmon:l_exp_candy'
    }).id('kubejs:pixelmon/xl_exp_candy')

    event.shaped('pixelmon:rare_candy', ['AAA', 'AAA', 'AAA'], {
        A: 'pixelmon:xl_exp_candy'
    }).id('kubejs:pixelmon/rare_candy')

    event.shaped('pixelmon:poke_display', ['ABC', 'DBD', 'EEE'], {
        A: 'pixelmon:poke_ball',
        B: '#forge:ingots/silver',
        C: 'minecraft:string',
        D: 'minecraft:redstone',
        E: 'minecraft:smooth_stone_slab'
    }).id('kubejs:pixelmon/poke_display')

    //event.custom({
    //  "type": 'draconicevolution:fusion_crafting',
    //  "result": {"item": Item.of('pixelmon:poke_ball', '{PokeBallID:"master_ball"}')},
    //  "catalyst": {"item":'atmadditions:atm_star'},
    //  "total_energy": 356000000,
    //  "tier": "CHAOTIC",
    //  "ingredients": [
    //     {"item": 'pixelmon:cooked_pink_apricorn'},
    //     {"item": 'pixelmon:cooked_pink_apricorn'},
    //     {"item": 'pixelmon:cooked_blue_apricorn'},
    //     {"item": 'extendedcrafting:black_iron_slate'},
    //     {"item": 'extendedcrafting:black_iron_slate'},
    //     {"item": 'extendedcrafting:ender_star'},
    //     {"item": 'extendedcrafting:ender_star'},
    //     {"item": 'pixelmon:iron_base'}]
    //}).id('kubejs:fusion/pixelmon/master_ball')
})